Skip to main content
`Ctrl`+`K`

# MatDenseGetColumnVec

Gives read-write access to a column of a `MATDENSE` matrix, represented as a `Vec`.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseGetColumnVec(Mat A, PetscInt col, Vec *v)

Collective

## Input Parameters

- A - the `Mat` object

- col - the column index

## Output Parameter

- v - the vector

## Notes

The vector is owned by PETSc. Users need to call `MatDenseRestoreColumnVec()` when the vector is no longer needed.

Use `MatDenseGetColumnVecRead()` to obtain read-only access or `MatDenseGetColumnVecWrite()` for write-only access.

## See Also

Matrices, `Mat`, `MATDENSE`, `MATDENSECUDA`, `MATDENSEHIP`, `MatDenseGetColumnVecRead()`, `MatDenseGetColumnVecWrite()`, `MatDenseRestoreColumnVec()`, `MatDenseRestoreColumnVecRead()`, `MatDenseRestoreColumnVecWrite()`, `MatDenseGetColumn()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseGetColumnVec_MPIDense() in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetColumnVec_SeqDense() in src/mat/impls/dense/seq/dense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages